Skip to content

getSupplierContact

READ

Get supplier contact.

POST /api/v1/purchasing/getSupplierContact
curl -X POST '<your-host>/api/v1/purchasing/getSupplierContact' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierContactId": "string"
  }'
Response
{
  "companyId": "string",
  "contactId": "string",
  "customFields": "…",
  "id": "string",
  "supplierId": "string",
  "supplierLocationId": "string",
  "tags": [
    "string"
  ],
  "userId": "string",
  "contact": {
    "id": "string",
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "mobilePhone": "string",
    "homePhone": "string",
    "workPhone": "string",
    "fax": "string",
    "title": "string",
    "notes": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierContactId": {
      "type": "string"
    }
  },
  "required": [
    "supplierContactId"
  ]
}